Pattern.h File Reference
`#include <RDGeneral/export.h>`
`#include "StructChecker.h"`
`#include "Utilites.h"`

Go to the source code of this file.

## Namespaces

| RDKit
| Std stuff.
| RDKit::StructureCheck

## Functions

RDKIT_STRUCTCHECKER_EXPORT RDKit::Bond::BondType | RDKit::StructureCheck::convertBondType (AABondType bt)
RDKIT_STRUCTCHECKER_EXPORT AABondType | RDKit::StructureCheck::convertBondType (RDKit::Bond::BondType rdbt)
RDKIT_STRUCTCHECKER_EXPORT unsigned | RDKit::StructureCheck::getAtomicNumber (const std::string symbol)
RDKIT_STRUCTCHECKER_EXPORT bool | RDKit::StructureCheck::AtomSymbolMatch (const std::string symbol, const std::string pattern)
RDKIT_STRUCTCHECKER_EXPORT bool | RDKit::StructureCheck::LigandMatches (const Atom &a, const Bond &b, const Ligand &l, bool use_charge=false)
RDKIT_STRUCTCHECKER_EXPORT bool | RDKit::StructureCheck::isBondTypeMatch (const RDKit::Bond &b, AABondType lbt)
RDKIT_STRUCTCHECKER_EXPORT bool | RDKit::StructureCheck::RecMatch (const ROMol &mol, unsigned atomIdx, const AugmentedAtom &aa, const std::vector< Neighbourhood > &nbp, bool verbose)
RDKIT_STRUCTCHECKER_EXPORT bool | RDKit::StructureCheck::AAMatch (const ROMol &mol, unsigned i, const AugmentedAtom &aa, const std::vector< unsigned > &atom_ring_status, const std::vector< Neighbourhood > &nbp, bool verbose)
RDKIT_STRUCTCHECKER_EXPORT bool | RDKit::StructureCheck::TransformAugmentedAtoms (RWMol &mol, const std::vector< std::pair< AugmentedAtom, AugmentedAtom >> &aapair, bool verbose)
RDKIT_STRUCTCHECKER_EXPORT bool | RDKit::StructureCheck::CheckAtoms (const ROMol &mol, const std::vector< AugmentedAtom > &good_atoms, bool verbose)